.app {
	height: 100vh;
	display: flex;
	flex-direction: column;
	&__header {
		display: flex;
		align-items: center;
		background: #0087dc;
		padding: 12px;
		&-icon {
			width: 36px;
			height: 36px;
			margin-right: 16px;
		}
		&-item {
			line-height: 36px;
			color: white;
			text-decoration: none;
			margin-right: 24px;
			font-weight: bold;
			font-size: 18px;
			&--active {
				text-shadow: 2px 2px 3px #434a54;
			}
			&:hover {
				color: white;
				text-shadow: 2px 2px 3px #434a54;
			}
		}
		&-select {
			flex: 1;
			display: flex;
			justify-content: flex-end;
		}
	}
	&__circle {
		width: 70px;
		height: 70px;
		background-image: radial-gradient(
			circle,
			#222 0px,
			#222 25px,
			#d31321 25px,
			#d31321 50px,
			#f3d53f 50px,
			#f3d53f 75px,
			#222 75px,
			#222 100px,
			#d31321 100px,
			#d31321 125px,
			#f3d53f 125px,
			#f3d53f 150px
		);
		border-radius: 40px;
		position: absolute;
		bottom: 0px;
		right: 0%;
		margin: auto;
		z-index: 2;
		&-wrap {
			position: fixed;
			right: 80px;
			bottom: 60px;
			cursor: pointer;
			&:hover {
				.app__circle-touch {
					transform: scale(1.1, 1.1);
				}
			}
		}
		&-touch {
			width: 70px;
			height: 70px;
			z-index: 1;
			border-radius: 100px;
			background-color: rgba(0, 0, 0, 0.65);
			transition: all 0.3s ease;
			transform: scale(1, 1);
		}
	}
	&__chatroom {
		position: absolute;
		bottom: 0px;
		right: 0%;
		background-color: white;
		z-index: 3;
		&-wrap {
			position: fixed;
			right: 20px;
			bottom: 0px;
			max-width: 500px;
			width: 100%;
			max-height: 1000px;
			box-shadow: 0px 0px 20px rgba(0, 0, 0, 0.2);
		}
	}
}
